package com.bocloud.ims.service.model.cmdb;

import java.util.List;

public class CmdbRelation {

	private String targetModule;
	private Long categoryId;
	private List<String> guids;

	/**
	 * @return the targetModule
	 */
	public String getTargetModule() {
		return targetModule;
	}

	/**
	 * @param targetModule
	 *            the targetModule to set
	 */
	public void setTargetModule(String targetModule) {
		this.targetModule = targetModule;
	}

	/**
	 * @return the categoryId
	 */
	public Long getCategoryId() {
		return categoryId;
	}

	/**
	 * @param categoryId
	 *            the categoryId to set
	 */
	public void setCategoryId(Long categoryId) {
		this.categoryId = categoryId;
	}

	/**
	 * @return the guids
	 */
	public List<String> getGuids() {
		return guids;
	}

	/**
	 * @param guids
	 *            the guids to set
	 */
	public void setGuids(List<String> guids) {
		this.guids = guids;
	}

	public CmdbRelation(String targetModule, Long categoryId, List<String> guids) {
		super();
		this.targetModule = targetModule;
		this.categoryId = categoryId;
		this.guids = guids;
	}

	public CmdbRelation() {
		super();
	}

}
